﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridGetChilds
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<WorkListItem> data = new ObservableCollection<WorkListItem>();
            List<Document> doc1 = new List<Document>();
            doc1.Add(new Document() { Comment = "comment1", DocumentState = "docstate1" });
            doc1.Add(new Document() { Comment = "comment2", DocumentState = "docstate2" });
            doc1.Add(new Document() { Comment = "comment3", DocumentState = "docstate3" });

            List<Document> doc2 = new List<Document>();
            doc2.Add(new Document() { Comment = "comment11", DocumentState = "docstate11" });
            doc2.Add(new Document() { Comment = "comment22", DocumentState = "docstate22" });
            doc2.Add(new Document() { Comment = "comment33", DocumentState = "docstate33" });

            data.Add(new WorkListItem() { DocumentCount = 5, Documents = doc1 });
            data.Add(new WorkListItem() { DocumentCount = 10, Documents = doc2 });

            this.DataContext = data;
        }
    }

    public class WorkListItem
    {
        public int DocumentCount { get; set; }
        public List<Document> Documents { get; set; }
    }

    public class Document
    {
        public string Comment { get; set; }
        public string DocumentState { get; set; }
    }

    public class MyMultiConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values[0] != DependencyProperty.UnsetValue)
            {
                //Do something
            }
            return Binding.DoNothing;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
